Page MenuHomePhabricator

Review relevance researcher JD
Closed, ResolvedPublic

Event Timeline

Trellimport added a project: Research.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 11:29 PM
ggellerman moved this task from Staged to In Progress on the Research board.May 15 2015, 12:09 AM

Comments from Trello:

2015-04-24 Leila:

I've added my first round of comments on 2015-04-23. The current comments in the file by Aaron and I should be enough for @DarTar to start a conversation with Wes. We can continue to contribute once the job description is clearer on their end.

DarTar set Security to None.
ggellerman closed this task as Resolved.Mar 24 2016, 10:18 PM